Bug 61 - Bad encoding in french translation
Summary: Bad encoding in french translation
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxChat (show other bugs)
Version: 1.8.0
Hardware: -- Ubuntu 12 - 64 bit
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-01-31 15:29 CET by bike159
Modified: 2013-02-04 12:10 CET (History)
2 users (show)

See Also:
Browser: ---
Zimlet Chat version: 1.00
Zimbra Version: ---


Attachments
Status (13.00 KB, image/jpeg)
2013-01-31 15:29 CET, bike159
Details
2_pannels (26.72 KB, image/jpeg)
2013-01-31 15:38 CET, bike159
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bike159 2013-01-31 15:29:59 CET
Created attachment 11 [details]
Status

On the ZeXtras chat 1.01, the status are bad encoded but not the text off the conversation window.
Comment 1 bike159 2013-01-31 15:38:35 CET
Created attachment 12 [details]
2_pannels
Comment 2 bike159 2013-01-31 15:39:54 CET
The words "Connecté" et "Occupé" are bad encoded everywhere (see attachement "2_pannels").
Comment 3 Cine 2013-02-01 09:43:56 CET
Hello bike159,

in order to further analyze the situation, please attach to this bug the output of the following commands:

less /opt/zimbra/zimlets-deployed/com_zextras_chat/com_zextras_chat_fr.properties
fgrep -ir a.st_busy /opt/zimbra/mailboxd/work


Have a nice day,
Cine
the ZeXtras Team
Comment 4 bike159 2013-02-01 12:31:38 CET
Thanks for your help !

# less /opt/zimbra/zimlets-deployed/com_zextras_chat/com_zextras_chat_fr.properties

Contacts = Amis
Me = Moi
Chat_with = Discuter avec ...
chat_with_user = D<E9>marrer une discussion
add_friends_title = Envoyer une invitation
add_friends_username = Surnom
add_friends_email = Adresse email
accept_friends_title = Nouvelle demande de discussion
accept_friends_text = <b>{0}</b> veut discuter avec vous.<br>Accepter ?
delete_friends_title = Supprimer l'ami
delete_friends_text = Supprimer <b>{0}</b> de votre liste d'amis ?
create_new_status = Cr<E9>er un nouveau...
powered_by = Chat fourni par ZeXtras.
error_contact_server = Erreur de connection au serveur ZxChat.
st_available = Connect<E9>
st_busy = Occup<E9>
st_away = Absent
st_offline = D<E9>connect<E9>
st_invisible = Invisible
bmsg_from = Message de service de
add_friend = Ajouter un contact
err_adding_friend = Impossible d'ajouter l'ami
account_not_found_on_this_server = Impossible de trouver le compte sur ce serveur
friend_already_added = D<E9>j<E0> dans votre liste d'amis
waiting_for_response = Contact invit<E9>
pending = En attente de r<E9>ponse
friend_rename = Renommer l'ami
friend_delete = Supprimer l'ami
friend_block = Bloquer l'ami
friend_history = Afficher l'historique du Chat
ie_not_supported = ZeXtras Chat supporte Internet Explorer 8+<br>Veuillez mettre <E0> jour votre navigateur ou utiliser Google Chrome ou Mozilla Firefox.
zxchat_core_missing_title = Serveur ZeXtras Chat introuvable
zxchat_core_missing_body = Le serveur ZeXtras Chat n'est pas install<E9> ou n'est pas activ<E9>.<br>Veuillez contacter votre administrateur.
need_update_zimlet = La <b>Zimlet ZeXtras Chat</b> n<E9>cessite un mise <E0> jour\!
need_update_core = Le <b>Core ZeXtras Chat</b> n<E9>cessite un mise <E0> jour\!
user_offline_messages_will_be_delivered = Utilisateur d<E9>connect<E9>, vos messages seront d<E9>livr<E9>s d<E8>s que possible.
sending_msg = Envoi...
show_zxchat = Afficher la barre lat<E9>rale ZxChat
hide_zxchat = Masquer la barre lat<E9>rale ZxChat
new_chat_message = Message de
pref_title_notifications = Notifications
pref_title_play_sound = Jouer un son
pref_title_flash_browser_title = Faire clignoter la barre de titre du navigateur
pref_title_desktop_notification_chrome = Activer les notifications sur le bureau pour Chrome ou Ubuntu 12.10+
pref_title_desktop_notification_ubuntu = Activer les notifications sur le bureau pour Ubuntu 12.10+
pref_title_idle = Inactif
pref_title_idle_enabled = Rapporter le status inactif
pref_title_idle_timeout = D<E9>lai d'inactivit<E9>
pref_title_buddy_list = Liste de contacts
pref_title_version = Version de ZxChat
pref_title_hide_offline_buddies = Masquer les contact indisponibles
pref_title_display_order = Trier liste d'amis par
need_enable_webkitnotification = Afin d'afficher les notification sur le bureau, vous devez
click_here = cliquer ici
is_writing = Est en train d'<E9>crire
has_written = A <E9>crit quelque chose
current_core_version = Version du Core
required_core_version = Version du Core requise
current_zimlet_version = Version du Zimlet

-------------------------------------------------------

# fgrep -ir a.st_busy /opt/zimbra/mailboxd/work

/opt/zimbra/mailboxd/work/resource-cache/zimletres/latest/ZimbraService-5eef744e40ae84da98d55f27a440546b-100.javascript:a.st_busy="Busy";
/opt/zimbra/mailboxd/work/resource-cache/zimletres/latest/ZimbraService-5eef744e40ae84da98d55f27a440546b-100.javascript:a.st_busy="Occup\u00e9";
Comment 5 Trantor 2013-02-01 14:44:52 CET
Hello bike159.

We've been able to ascertain the nature of the problem you've described.

It's a problem derived from an incorrect encoding in early localization files, something which has been fixed a couple of weeks ago.

Unfortunately early testers, those who first used the chat module before we released the first fixed version, have the labels of their possible states saved in the chat database with an incorrectly encoded string, such as the ones you reported.

In the next release we will most likely introduce the faculty for the user to customize the labels in question, allowing therefore to correct the problematic ones.

As a workaround, you could delete the chat database and start afresh, losing however buddy lists and yet-to-be-delivered messages for all the users of your system.
If you wish to go down that route, you have to follow the steps below.

1. Stop mailboxd, issuing a "zmmailboxdctl stop" command as the zimbra user.
2. Wait for the web application to shut down completely (it may take some time), monitoring the /opt/zimbra/log/mailbox.log .
3. When you see that mailboxd is actually down, remove the contents of the /opt/zimbra/conf/zextras/zxchat directory
4. Restart the web application (i.e. "zmmailboxdctl start" as above).

With that you should start again with a clean slate and correct labels.

Regards,
Trantor
the ZeXtras Team
Comment 6 bike159 2013-02-04 12:10:23 CET
It works, thank you for your fast support !